Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep
Interface Parser

All Superinterfaces:
  JepComponent, java.io.Serializable

All Known Implementing Classes:
  ConfigurableParser, NullParser, StandardConfigurableParser, StandardParser

    public interface Parser

extends JepComponent

Method Summary
`Node` | `continueParse()` Read the next equation from the stream.
`void` | `init(Jep jep)` Initialize the component.
`Node` | `parse(java.io.Reader stream)` Parse a single equation from a stream
`void` | `restart(java.io.Reader stream)` Restart the parser for reentrant parsing of multiple equations.

Methods inherited from interface com.singularsys.jep.JepComponent
`getLightWeightInstance`

Method Detail

### init

    void init(Jep jep)

  Description copied from interface: `JepComponent`
  Initialize the component. This methods is called whenever a component is added to Jep. Hence it allows components to keep track of the other components they may rely on.

  Specified by:
    `init` in interface `JepComponent`
  Parameters:
    `jep` - the current Jep instance

### parse

    Node parse(java.io.Reader stream)
               throws ParseException

  Parse a single equation from a stream

  Parameters:
    `stream` -
  Returns:
    the root node of the expression tree
  Throws:
    `ParseException`

### restart

    void restart(java.io.Reader stream)

  Restart the parser for reentrant parsing of multiple equations.

  Parameters:
    `stream` -

### continueParse

    Node continueParse()
                       throws ParseException

  Read the next equation from the stream. By default empty expressions should be silently ignored.

  Returns:
    the root node of the expression tree
  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep